const fs = require('fs')
let moment = require('moment-timezone')
init()


async function init() {

    let files = await fs.readdirSync('RunRes')
    let prom = []
    let all = []
    for (let i = 0; i < files.length; i++) {
        if (files[i].includes('.csv')) {
            let last = files[i].split('_')
            let file = last[last.length - 1].replace('.csv', '')

            try {
                let res = await format(files[i])
                let arr = []
                for (let z = 1; z < res.length; z++)
                    arr.push(res[z])

                all.push({name: file, data: arr})


            } catch (e) {

            }
        }

    }




    let res = await fs.readFileSync('plat.json', 'utf8');
    res=JSON.parse(res)
    let newArr=[]
    for (let i=0;i<res.length;i++)
    {
        let allPlatforms=res[i].AllPlatfrom
        let dataFile=[]
        for (let j=0;j<allPlatforms.length;j++)
        {
            let last=allPlatforms[j].split('_')
            let config=last[last.length-2].replace('.csv','')
            let file=last[last.length-1].replace('.csv','')
            console.log(config)
            let data=getDataFromFileAndConfig(all,file,config)
            dataFile.push(data)
        }

        res[i].config=dataFile

    }

    console.log(res[0].dataFile)


}


function getDataFromFileAndConfig(all,file,config)
{
    for (let i=0;i<all.length;i++)
    {
        if (all[i].name ===file)
        {
            let inline=all[i].data
            for (let j=0;j<inline.length;j++)
            {
                if (inline[j].includes(config))
                    return inline[j]
            }
        }
    }
}


async function format(name) {
    let res = await fs.readFileSync('./RunRes/' + name, 'utf8');
    res = res.split('\n')
    console.log(res[0])
    return res
}

function createFile(name, body) {
    return new Promise(function (resolve, reject) {
        fs.writeFile('files/' + name, body, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(true);
        });
    });
}